KCCACHETEST(1)

NAME
kccachetest - command line interface to test the cache hash database

DESCRIPTION

The command `kccachetest' is a utility for facility test and performance test of the cache hash database. This command is used in the following format. `rnum' specifies the number of iterations.

    kccachetest order [-th num] [-rnd] [-etc] [-tran] [-tc] [-bnum num] [-capcnt num] [-capsiz num] [-lv] rnum
        Performs in-order tests.
    kccachetest queue [-th num] [-it num] [-rnd] [-tc] [-bnum num] [-capcnt num] [-capsiz num] [-lv] rnum
        Performs queuing operations.
    kccachetest wicked [-th num] [-it num] [-tc] [-bnum num] [-capcnt num] [-capsiz num] [-lv] rnum
        Performs mixed operations selected at random.
    kccachetest tran [-th num] [-it num] [-tc] [-bnum num] [-capcnt num] [-capsiz num] [-lv] rnum
        Performs test of transaction.

Options feature the following.

    -th num : specifies the number of worker threads.
    -rnd : performs random test.
    -etc : performs miscellaneous operations.
    -tran : performs transaction.
    -tc : tunes the database with the compression option.
    -bnum num : specifies the number of buckets of the hash table.
    -capcnt num : specifies the maximum number of records.
    -capsiz num : specifies the maximum size of memory usage.
    -lv : reports all errors.
    -it num : specifies the number of repetition.

This command returns 0 on success, another on failure.